#!/perl

# fg01.pl
# read the system.fgfs.rc, and show active config ...

$infile = 'c:/FG099/FlightGear.1/data/system.fgfsrc';
print "$0 - Hello, World... in file $infile ...\n";
# get file open for reading
open FH, "<$infile"
 or die "Can NOT open input file!!! [$infile] ...\n";
@lines = <FH>; # slurp file into array
close FH;
$cnt = @lines;
print "Got $cnt lines to process ...\n";
foreach $line (@lines) {
	if (substr ($line, 0, 1) ne '#') {
		if ($line !~ /^[ \t\r\n]*$/) {
			# skip ALL space lines
			print $line;
		}
	}
}

# EOF
